Subject: Reset deleted flag for existing files

Description

Files are included in the file listing even if their sys_file record as "deleted" set to 1. This leads to various problems (as described e.g.
in #45109). Therefore, some background process should reset the deleted flag for existing files.

Ideally, this should be done whenever a file object is filled with the index record. | am however not sure if the File class is the right
place for such a task.

We should at least have a scheduler task that checks all sys_file records with deleted=1 if the file is really deleted (and reset the flag if
it is there).

Related issues:
blocks Core - Bug # 45109: Editing the file content of a file marked as delet... Closed 2013-02-03

History

#1 - 2013-03-22 11:03 - Andreas Wolf

Additionally, we have to cope with existing, but "deleted" records for files in the indexer. Otherwise, we might have multiple records for one file path,
which could lead to various problems.

#2 - 2013-09-11 16:32 - Chris topher

The deleted flag has been removed in master, 6.1.5 and 6.0.10.

Does this fix the issue?

#3 - 2013-12-15 21:35 - Frans Saris

This issue can be closed is resolved with introducing the is missing flag.

#4 - 2014-06-08 15:53 - Frans Saris
- Status changed from Accepted to Closed
